# OG-Steam

Update: Try <a href="https://github.com/ungstein/OG-Steam-Library">OG-Steam-Library<a> theme for use with <a href="https://github.com/PhantomGamers/SteamFriendsPatcher">SteamFriendsPatcher<a>.

An Internet Time Warp
-

Steam, in its current form, is hardly recognisable when compared to early releases. However, you may be surprised to learn that, despite innumerable changes made to Steam in its 17-year lifespan, its Graphical User Interface system, VGUI (which is built into the Source engine), has remained virtually unchanged. This has allowed me to create a skin which very accurately replicates the look and feel of the Steam client from around 2004. I have future-proofed this skin to the best of my ability by including as few files as possible (and, therefore, fewer points of failure). Ostensibly, Valve has plans to re-write the Steam client in JavaScript; we have already seen several moves in this direction. Until such time, welcome to 2004.

This version includes fixes for the latest version of the Steam client (**Last Updated 2021-13-01**).

Installing
-

**Note: This skin has not been tested on Linux or MacOS**

* Copy **OG-Steam** into `Steam/skins`
* Select the new skin trough `Settings/Interface`
* Disable font smoothing in both Steam and Windows for a retro look.

Known Issues
-

* [FIXED] Window minimise/maximise/close buttons do not render properly on some windows. This is because some containers do not have associated .res files so there is no way to specify button positions (that I am aware of).
* [FIXED] Overlay web browser seems to have some hard-coded styling that I have been unable to change.

Preview
-

![Login](https://bn1305files.storage.live.com/y4mUE5pJSIQppJfltHpRufX2FySXO4kto85AHYS6_3r51s1YnbKY6td10i5wOR-kRe7d_Sv7yKhlpUfjJFFWXcKwupEPOfZM3FMBWU8EpyiaUV-488l-GzvMmp7XP7uPxLAS4hLRQDbx8nKVruLo36f7yHxSqIxsK3j_MUsDy-dZxbgv989M2ejIXLO7TVF9Y1i?width=480&height=330&cropmode=none)
![Store](https://bn1305files.storage.live.com/y4mJWeO1d_NawGTd7gBs74J3bznBQgmGSDHDYlPFuSQISHcjmINBHa0jmbzLTUPWzHAVvFsjQEefoPg6Qa4hYjXE9F84SYrVea8pG0M0BoW9gfid_K376tey-r2J20AlRukHEwxbMPDL3bXIUs8m1vw81jJ5ICHgLuj9_HAkB-BQGcBOllGMBeCrRzqJy9fVqkm?width=1680&height=1050&cropmode=none)
![Library](https://bn1305files.storage.live.com/y4maEACCkilNiDxoiOzxoLrfvuL_PkeTRs21DV_3FLQ-U1cx3S7dUXtnT5ODVmMmKEYgZO0HlfUhkWi8bMedY11SZMXoR77QkqRcFL1QfQmJnnnLCAUEoPCOm-BtVxAOsRGeN097cN1sTCwO_sMlHY32-OBBXe1ED8lSyZRSfSQ65pJTjNweyJ32gE8uVlUOkQy?width=1680&height=1050&cropmode=none)
![Small Mode](https://bn1305files.storage.live.com/y4m5FxecozzIg4wECyQZsIQBQgupkevbmg3oWqG6jM458PRTEr_BwLlxjL1GfltqbW10Y8sBbLnDBZxlEib_fkoFUXtusO4cvUdnlK80b3cjcE6S-fnOWuJDNPBqTfXbxA_F-CtlXzI0CxtTE5YyaP2LdtD0lkMTDHoASHDGg27vvITsSDwrcQKKApqSWOU9ItD?width=320&height=533&cropmode=none)
![Downloads](https://bn1305files.storage.live.com/y4mT5Kba0T9impPDXn5JKqhjAsW7dUhzwstEt25ZWji3H6nIhro8FQarxjpezdIUKnjLlVRRVTyvVW3FuHNc_7IypY_g6wizzUt2MG-VQIhgWEh2XvbyBEk-_df0mxrSsvDNhaafS0drhQw1rNFwn-YquTxOo8spBPiMjnYS_sC_azOBWzGhZPizJknBGKKjNeR?width=1680&height=1050&cropmode=none)
![Overlay](https://bn1305files.storage.live.com/y4mi5iGnOeuCgNzFUHF-vAo6Dr1qH15aO4TgIrnS9kWwQk3UNc-7CrIBmkIC0nfD_xzu6uI5DIR-5AnQzAF91bPsGhcQUxWaqDvt7oNaXi1zmodTe0y0Hmx_xoUyh21oBJbjjupi_hZzgxxXfMV4LmiE75ELIOYTAwScxzNO2pQv7F4MP4IgIsVp5ejy5QXE4q1?width=1920&height=1080&cropmode=none)
![Servers](https://bn1305files.storage.live.com/y4mZa5DZECqeuEd9ihLDI84xO4prIMMhGhSqt40aktcGUoLZuwcTKRJUee3Xs-LF0rR0_JXUB2Pr0ihjYnBuvuuvHUIHjERGFnQB5mhxYH-b_I6D1ic1TYNVr-fd2tX7qvqZhRzQfrFqHRnrDKEnjuQ1Y4kS__iIBXOGGpMuvFdh4Y7LMufzyJrnvXHFyOY8sKs?width=960&height=538&cropmode=none)
![Music Player](https://bn1305files.storage.live.com/y4m9nFNlE-r6Fwjb1qmXUPjBSnaiBSgjlj-U8v-zuYJDWfJpBxoPewnjJ-K0maJ-8bP54qsdewxJxcrqZf4yHGIIPh8iSf3Qr-1VV2ErlIX6695reUCCD09iIF3CN-a2GsXR4GQkhgPnaWj0mU-XqKKOu-tnu7AL_VZEpzaGpg21q8m08vPeTj1_JQWO8y5RLVt?width=440&height=300&cropmode=none)
